<?php
/**
 * Soundfaith Shortcodes.
 * @package   soundfaith
 * @copyright Copyright (C) 2016 soundfaith
 * @author    soundfaith
 * @since     V1.0
 * @link      http://www.soundfaith.com
 */
$the_soundfaith_group_id     = get_option( 'soundfaith_group_id' ) ;
if(!empty($the_soundfaith_group_id))
{
	add_action('admin_init', 'SoundFaithTinymceShortcodeButton');
	/*-----------------------------------------------------------------------------------*/
	/* Registration Buttons for Shortcodes Popup Page
	/*-----------------------------------------------------------------------------------*/
	function SoundFaithTinymceShortcodeButton()
	{
		global $typenow;
		
		if (empty($typenow) && !empty($_GET['post'])) {
			$post = get_post($_GET['post']);
			$typenow = $post->post_type;
		}
		if ($typenow != '' && $typenow == 'page' ) {
			if ( current_user_can('edit_pages') ):
				add_filter('mce_buttons', 'SoundFaithRegisterTinymceButton');
				add_filter('mce_external_plugins', 'soundfaithAddTinymceButton');
			endif;
		}
	}
	
	/*-----------------------------------------------------------------------------------*/
	/* Add Buttons for Shortcodes Popup Page
	/*-----------------------------------------------------------------------------------*/
	function SoundFaithRegisterTinymceButton($buttons)
	{
		array_push($buttons, "soundfaith");
		return $buttons;
	}
	/*-----------------------------------------------------------------------------------*/
	/* Add Buttons for Shortcodes Popup Page
	/*-----------------------------------------------------------------------------------*/
	function soundfaithAddTinymceButton($plugin_array)
	{
		$plugin_array['button_script'] = plugins_url( 'shortcodes/shortcode-tinymce.js', __FILE__ );
		return $plugin_array;
	}
	/*-----------------------------------------------------------------------------------*/
	/*  Load the shortcode required file.
	/*-----------------------------------------------------------------------------------*/
	require_once(dirname( __FILE__ ) . '/shortcodes/soundfaith-shortcode.php');
}
?>
