(function () {
/* Close popup when click away  */
    jQuery(document).on('click', '#mce-modal-block', function () {
        tinyMCE.activeEditor.windowManager.close();
    });

    /* Register the buttons */
    tinymce.create('tinymce.plugins.MyButtons', {
        init: function (ed, url) {
            /**
             * Inserts Soundfaith shortcode content
             */
            ed.addButton('soundfaith', {
                title: 'SoundFaith',
                text: 'SoundFaith',
                cmd: 'soundfaith_cmd'
            });

            /**
             * and a new command
             */
            ed.addCommand('soundfaith_cmd', function () {
                ed.windowManager.open(
                    {
                        file: url + '/soundfaith-popup.php',
                        width: 500,
                        height: 370,
                        inline: 1
                    },
                    {
                        plugin_url: url,
                        wordpress: wp
                    });
            });
        },
        createControl: function (n, cm) {
            return null;
        }
    });
    /* Start the buttons */
    tinymce.PluginManager.add('button_script', tinymce.plugins.MyButtons);
})();
