<?php
/**
 * soundfaith Shortcode For Display sermons
 * @package   soundfaith
 * @copyright Copyright (C) 2016 soundfaith
 * @author    soundfaith
 * @since     V1.0
 * @link      http://www.soundfaith.com
 */
$soundfaith_group_id  = get_option( 'soundfaith_group_id' );
if(!empty($soundfaith_group_id))
{
	/*-----------------------------------------------------------------------------------*/
	/* Add Shortcodes
	/*-----------------------------------------------------------------------------------*/
	add_shortcode( 'soundfaith', 'soundfaithBottomSectionShortcode' );
	function soundfaithBottomSectionShortcode( $attr, $content = null ) {
		
		extract( shortcode_atts( array(
			'width' => '', 
			'height' => '', 
			
			'soundfaith_iframe_account_id_shortcode' => '',
			
			
			'include_playlist' => '', 
			'include_speaker'	=> '',
			'include_series' => '',
			'include_date_presented' => '',
		), $attr ) );
		
		if(empty($include_playlist))
		{
			$include_playlist="false";
		}
		if(empty($include_speaker))
		{
			$include_speaker="false";
		}
		if(empty($include_series))
		{
			$include_series="false";
		}
		if(empty($include_date_presented))
		{
			$include_date_presented="false";
		}
		if(empty($width))
		{
			$width= 640;
		}
		if(empty($height))
		{
			$soundfaith_frame_height=360;
		}
		
		if(empty($soundfaith_iframe_account_id_shortcode))
		{
			$soundfaith_group_id=get_option( 'soundfaith_group_id' );
		}
		else{
			$soundfaith_group_id  = $soundfaith_iframe_account_id_shortcode;
		}
		$html      = '';
				$html .='<div class="iframe_wrap">';
				$html .='<iframe frameborder="0" scrolling="no" allowfullscreen src="https://soundfaith.com/embed/profile/'.$soundfaith_group_id.'/recent?includePlaylist='.$include_playlist.'&scroll=true&includeSpeaker='.$include_speaker.'&includeSeries='.$include_series.'&includeDatePresented='.$include_date_presented.'&source=wordpress" width="'.$width.'" height="'.$height.'"></iframe>';
				$html .='</div>';
		
		return $html;
	}
}
?>